### Constructor

# EvinceView JobLoadFd new

since: 42.0

#### Declaration [src]

    EvJob*
    ev_job_load_fd_new (
      int fd,
      const char* mime_type,
      EvDocumentLoadFlags flags,
      GError** error
    )

#### Description [src]

Creates a new `EvJobLoadFd` for `fd`. If duplicating `fd` fails, returns `NULL` with `error` filled in.

Available since: 42.0

#### Parameters

`fd`

  Type: `int`

  A file descriptor.

`mime_type`

  Type: `const char*`

  The mime type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `EvDocumentLoadFlags`

  Flags from `EvDocumentLoadFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EvJob`

The new `EvJobLoadFd`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.